require "w32dlg"

local dlg = w32dlg.New(0, 0, 0, 0, 100, 120);
dlg:AddButton(w32dlg.BS_DEFPUSHBUTTON, 0, 10, 10, 30, 10,
	w32dlg.IDOK, "OK")
dlg:AddButton(w32dlg.BS_PUSHBUTTON + w32dlg.BS_FLAT, 0,
	50, 10, 30, 10, w32dlg.IDCANCEL, "Cancel")
dlg:AddCombobox(w32dlg.CBS_SIMPLE + w32dlg.WS_VSCROLL + w32dlg.WS_HSCROLL,
	0, 10, 30, 80, 30, 1000, "0")
dlg:AddCombobox(w32dlg.CBS_DROPDOWN + w32dlg.CBS_AUTOHSCROLL +
	w32dlg.WS_BORDER + w32dlg.WS_VSCROLL,
	0, 10, 70, 30, 40, 1001, "1")
dlg:AddCombobox(w32dlg.CBS_DROPDOWNLIST + w32dlg.CBS_SORT +
	w32dlg.WS_BORDER + w32dlg.WS_VSCROLL,
	0, 50, 70, 30, 40, 1002, "2");

local list = {"b", "d", "a", "e", "c"}
dlg:SetComboboxInitial(1000, "cc", list)
dlg:SetComboboxInitial(1001, "b", list)
dlg:SetComboboxInitial(1002, "a", list)

dlg:ShowModal(0, 0)

print(dlg:GetComboboxResult(1000))
print(dlg:GetComboboxResult(1001))
print(dlg:GetComboboxResult(1002))
