require "w32dlg"

local dlg = w32dlg.New(0, 0, 0, 0, 100, 120);
dlg:AddButton(w32dlg.BS_DEFPUSHBUTTON, 0, 10, 10, 30, 10,
	w32dlg.IDOK, "OK")
dlg:AddButton(w32dlg.BS_PUSHBUTTON + w32dlg.BS_FLAT, 0,
	50, 10, 30, 10, w32dlg.IDCANCEL, "Cancel")
dlg:AddListbox(
	w32dlg.LBS_NOTIFY + w32dlg.LBS_SORT + w32dlg.LBS_USETABSTOPS + 
	w32dlg.LBS_MULTICOLUMN + w32dlg.WS_VSCROLL + w32dlg.WS_HSCROLL,
	0, 10, 30, 80, 30, 1000, "OK");
dlg:AddListbox(
	w32dlg.LBS_MULTIPLESEL + w32dlg.WS_BORDER + w32dlg.WS_VSCROLL,
	0, 10, 70, 80, 40, 1001, "Cancel")

local list = {"b", "d", "a", "e", "c"}
dlg:SetListboxInitial(1000, {1}, list)
dlg:SetListboxInitial(1001, {2, 4}, list)

dlg:ShowModal(0, 0)

local result
print(table.concat(dlg:GetListboxResult(1000), ","))
print(table.concat(dlg:GetListboxResult(1001), ","))
