#include <windows.h>
#include <stdio.h>
#include <assert.h>

#include "array.h"
#include "list.h"
#include "dialog.h"


int main(int argc, char *argv[])
{
	DialogTpl d;
	ListType *l;
	int n, i;
	int result;
	
	result = DialogTpl_New(&d, 0, 0,
	                       0, 0, 100, 120, "dialog", NULL, 0);
	assert(! result);
	result = DialogTpl_AddStatic(&d, SS_NOTIFY, 0,
	                             10, 10, 30, 10, IDOK, "OK");
	assert(! result);
	result = DialogTpl_AddStatic(&d, SS_WHITEFRAME, 0,
	                             50, 10, 30, 10, IDCANCEL, "Cancel");
	assert(! result);
	result = DialogTpl_AddStatic(&d, SS_GRAYRECT, 0,
	                             10, 30, 30, 10, 1000, NULL);
	assert(! result);
	result = DialogTpl_AddStatic(&d, SS_SIMPLE, 0,
	                             50, 30, 30, 10, 1001, "3state");
	assert(! result);
	result = DialogTpl_AddStatic(&d, SS_SUNKEN | SS_NOPREFIX, 0,
	                             10, 50, 30, 10, 1002, "&group");
	assert(! result);
	result = DialogTpl_AddStatic(&d, SS_PATHELLIPSIS | SS_NOTIFY, 0,
	                             10, 70, 20, 10, 1003, "&1");
	assert(! result);
	result = DialogTpl_AddStatic(&d, SS_WORDELLIPSIS, 0,
	                             50, 70, 20, 10, 1004, "2");
	assert(! result);
	/*
	*/
	l = DialogTpl_GetInitialData(&d, 1001);
	assert(l);
	result = ListType_SetNumber(l, 1);
	assert(! result);
	l = DialogTpl_GetInitialData(&d, 1003);
	assert(l);
	result = ListType_SetNumber(l, 1);
	assert(! result);
	/* */
	result = DialogTpl_ShowModal(&d, "static test", NULL, NULL);
	printf("return code %d\n", result);
	DialogTpl_Free(&d);
	return 0;
}
