require "dialog"
local dt_conv_dlg = create_dialog(
{
x=120,y=100,width=145,height=135,
style=w32dlg.DS_MODALFRAME+w32dlg.DS_CENTER+w32dlg.WS_CAPTION+w32dlg.WS_VISIBLE,
caption="Trashy Dialog Template Converter",
font="System",point=10,
{
type="edit",
caption="",
id="IDEDIT",
style=w32dlg.ES_LEFT+w32dlg.ES_MULTILINE+w32dlg.ES_AUTOHSCROLL+w32dlg.ES_AUTOVSCROLL+w32dlg.ES_WANTRETURN+w32dlg.WS_CHILD+w32dlg.WS_VISIBLE+w32dlg.WS_BORDER+w32dlg.WS_TABSTOP+w32dlg.WS_HSCROLL+w32dlg.WS_VSCROLL,
x=5,y=5,width=135,height=100,
},
{
type="button",
caption="OK",
id="IDOK",
style=w32dlg.BS_PUSHBUTTON+w32dlg.WS_CHILD+w32dlg.WS_VISIBLE+w32dlg.WS_TABSTOP,
x=20,y=105,width=35,height=10,
},
{
type="button",
caption="CANCEL",
id="IDCANCEL",
style=w32dlg.BS_PUSHBUTTON+w32dlg.WS_CHILD+w32dlg.WS_VISIBLE+w32dlg.WS_TABSTOP,
x=90,y=105,width=35,height=10,
},
}
)
function dialog.dialog_convert_dialog()
	local script, r, rr
	require "dt_conv"
	while true do
		r, rr = dt_conv_dlg(nil, {
			IDEDIT = script,
		})
		if r == "IDCANCEL" then
			return
		end
		if not rr.IDEDIT == "" then
			script = string.gsub(convert_dialog_template(rr.IDEDIT),
			                     "\n", "\r\n")
		end
	end
end
