#include <windows.h>
#include <stdio.h>

#include "array.h"
#include "list.h"
#include "dialog.h"


/*
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPreInst,
                   LPSTR lpszCmdLine, int nCmdShow)
*/
int main(int argc, char *argv[])
{
	DialogTpl d;
	ListType *l, *lt;
	List *list;
	int n, *np;
	char *ptr;
	int result;
	char abc[] = "abcdefg";
	
	result = DialogTpl_New(&d, 0, 0,
	                       0, 0, 250, 150, "dialog", NULL, 0);
	puts("new");
	if (result) {
		MessageBox(NULL, "can't create dialog", "dialog", MB_OK);
		return 0;
	}
	result = DialogTpl_AddButton(&d, 1342242817, 0,
	                             10, 10, 40, 15, IDOK, "OK");
	puts("ab 1");
	if (result) {
		MessageBox(NULL, "can't add button 1", "dialog", MB_OK);
		return 0;
	}
	result = DialogTpl_AddButton(&d, 1342242816, 0,
	                             105, 10, 40, 15, IDCANCEL, "Cancel");
	puts("ab 2");
	if (result) {
		MessageBox(NULL, "can't add button 2", "dialog", MB_OK);
		return 0;
	}
	result = DialogTpl_AddButton(&d, BS_AUTOCHECKBOX, 0,
	                             180, 10, 40, 15, 1000, NULL);
	puts("ab 3");
	if (result) {
		MessageBox(NULL, "can't add button 3", "dialog", MB_OK);
		return 0;
	}
	result = DialogTpl_AddEdit(&d, WS_BORDER | ES_MULTILINE | ES_WANTRETURN, 0,
	                           105, 30, 40, 30, 1001, "abc");
	puts("ae");
	if (result) {
		MessageBox(NULL, "can't add edit", "dialog", MB_OK);
		return 0;
	}
	result = DialogTpl_AddListbox(&d, LBS_MULTIPLESEL | LBS_EXTENDEDSEL, 0, 
	                           10, 30, 50, 50, 1002, "list");
	puts("al");
	if (result) {
		MessageBox(NULL, "can't add list", "dialog", MB_OK);
		return 0;
	}
	result = DialogTpl_AddCombobox(&d, CBS_DROPDOWN, 0, 
	                           180, 50, 50, 50, 1003, "list");
	puts("ac");
	if (result) {
		MessageBox(NULL, "can't add combo", "dialog", MB_OK);
		return 0;
	}
	/*
	*/
	l = DialogTpl_GetInitialData(&d, 1002);
	if (!l) {
		puts("can't get listtype");
		return 0;
	}
	if (ListType_PushCopyBuffer(l, "a", 2) ||
		ListType_PushCopyBuffer(l, "b", 2) ||
		ListType_PushCopyBuffer(l, "c", 2) ||
		ListType_PushCopyBuffer(l, "e", 2) ||
		ListType_PushCopyBuffer(l, "d", 2) ||
		ListType_Reverse(l)) {
		puts("al fail");
		return 0;
	}
	/* */
	l = DialogTpl_GetInitialData(&d, 1003);
	if (!l) {
		puts("can't get listtype");
		return 0;
	}
	if (ListType_PushCopyBuffer(l, "1", 2) ||
		ListType_PushCopyBuffer(l, "2", 2) ||
		ListType_PushCopyBuffer(l, "3", 2) ||
		ListType_PushCopyBuffer(l, "4", 2) ||
		ListType_PushCopyBuffer(l, "5", 2) ||
		ListType_Reverse(l)) {
		puts("ac fail");
		return 0;
	}
	/*
	if (ListType_CopyBuffer(l, "abcde", sizeof("abcde"))) {
		puts("ae fail");
		return 0;
	}
	puts("ae");
	*/
	result = DialogTpl_Show(NULL, &d);
	puts("done");
	l = DialogTpl_GetResult(&d, 1002);
	if (l) {
		printf("type %d\n", l->type);
		/*
		if (! ListType_GetBuffer(l, (void **) &ptr)) {
			printf("buffer [%s]\n", ptr);
		}
		*/
		/*
		if (! ListType_GetBuffer(l, (void **) &np)) {
			for (; *np >= 0; np ++) {
				printf("buffer number [%d]\n", *np);
			}
		}
		*/
		if (! ListType_GetNumber(l, &n)) {
			printf("number [%d]\n", n);
		}
	} else {
		puts("can't get l");
	}
	printf("result %d\n", result);
	DialogTpl_Free(&d);
	return 0;
}
