#include <windows.h>
#include <stdio.h>
#include <assert.h>

#include "array.h"
#include "list.h"
#include "dialog.h"


int main(int argc, char *argv[])
{
	DialogTpl d;
	ListType *l;
	char *ptr;
	int n, i;
	int result;
	
	result = DialogTpl_New(&d, 0, 0,
	                       0, 0, 100, 120, "dialog", NULL, 0);
	assert(! result);
	result = DialogTpl_AddButton(&d, BS_DEFPUSHBUTTON | WS_TABSTOP, 0,
	                             10, 10, 30, 10, IDOK, "OK");
	assert(! result);
	result = DialogTpl_AddButton(&d, BS_PUSHBUTTON | WS_TABSTOP, 0,
	                             50, 10, 30, 10, IDCANCEL, "Cancel");
	assert(! result);
	result = DialogTpl_AddEdit(&d, ES_NUMBER | WS_BORDER | WS_TABSTOP, 0,
	                           10, 30, 50, 10, 1000, NULL);
	assert(! result);
	result = DialogTpl_AddEdit(&d,
		WS_BORDER | WS_HSCROLL | WS_VSCROLL | WS_TABSTOP |
		ES_MULTILINE | ES_WANTRETURN,
		0, 10, 50, 50, 30, 1001, "edit");
	assert(! result);
	/*
	*/
	l = DialogTpl_GetInitialData(&d, 1000);
	assert(l);
	result = ListType_CopyBuffer(l, "1000", sizeof("1000"));
	assert(! result);
	/* */
	result = DialogTpl_ShowModal(&d, "edit test", NULL, NULL);
	printf("return code %d\n", result);
	for (i = 1000; i <= 1001; i ++) {
		printf("[%d]\n", i);
		l = DialogTpl_GetResult(&d, i);
		assert(l);
		ptr = NULL;
		result = ListType_GetBuffer(l, &ptr);
		assert(! result);
		printf("%s\n", ptr);
	}
	DialogTpl_Free(&d);
	return 0;
}
