#include <windows.h>
#include <commctrl.h>
#include <stdio.h>
#include <assert.h>

#include "array.h"
#include "list.h"
#include "dialog.h"
#include "prop.h"

int main(int argc, char *argv[])
{
	DialogTpl d[5];
	LPCTSTR caption[] = {"1", "2", "3", "4", "5"};
	ListType *l;
	char *ptr;
	int n, i, j;
	int result;
	
	InitCommonControls();
	for (i = 0; i < 5; i ++) {
		result = DialogTpl_New(&d[i], 0, 0,
							   0, 0, 100, 120, caption[i], NULL, 0);
		assert(! result);
		result = DialogTpl_AddEdit(&d[i], ES_NUMBER | WS_BORDER | WS_TABSTOP,
								   0, 10, 10, 50, 10, 1000, NULL);
		assert(! result);
		result = DialogTpl_AddEdit(&d[i],
								   WS_BORDER | WS_HSCROLL | WS_VSCROLL |
								   WS_TABSTOP | ES_MULTILINE | ES_WANTRETURN,
								   0, 10, 30, 50, 30, 1001, "edit");
		assert(! result);
		/*
		 */
		l = DialogTpl_GetInitialData(&d[i], 1000);
		assert(l);
		result = ListType_CopyBuffer(l, "1000", sizeof("1000"));
		assert(! result);
	}
	/* */
	result = PropertySheet_ShowModal(NULL, NULL, "property sheet", 0, 5, d, NULL);
	printf("return code %d\n", result);
	for (j = 0; j < 5; j ++) {
		for (i = 1000; i <= 1001; i ++) {
			printf("[%d]\n", i);
			l = DialogTpl_GetResult(&d[j], i);
			assert(l);
			ptr = NULL;
			result = ListType_GetBuffer(l, &ptr);
			assert(! result);
			printf("%s\n", ptr);
		}
		DialogTpl_Free(&d[j]);
	}
	return 0;
}
